> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/web-crawling/crawled-results.md).

# Crawled Results

## Get crawl results

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/web-crawling/get-crawl-results?case_id=<caseId>`

{% tabs %}
{% tab title="401: Unauthorized " %}
{ "message": "Invalid authentication credentials" }
{% endtab %}
{% endtabs %}

#### Query Parameters

| Name                                       | Type   | Description                                                                                          |
| ------------------------------------------ | ------ | ---------------------------------------------------------------------------------------------------- |
| case\_id<mark style="color:red;">\*</mark> | String | You need to provide the website Case ID that you already received in the Initiate Crawl Response API |

**Success response**

```json
{
    "success": true,
    "code": "4999",
    "message": "Results are",
    "data": {
        "website": "xxxxxx.com",
        "website_link": "https://xxxxxx.com",
        "website_actual_url": "https://xxxxxx.com/",
        "ucic": "",
        "sourceName": "",
        "from": "STAND-ALONE",
        "merchant": {
            "trade_name": "xxxxxxx"
        },
        "caseId": "uwFwLU4wqAeBCptM7M8p6e",
        "status": "in_progress",
        "client": {
            "id": "TUTWEBK00341",
            "name": "xxxxxxx",
            "business_name": "xxxxx xxxxx",
            "timezone": "Asia/Kolkata",
            "billing_type": "prepaid"
        },
        "level": "basic",
        "mode": "live",
        "percentage": 19,
        "source_from": "web",
        "risk_score": 0,
        "risk_status": "pending",
        "record_type": "new",
        "crawling_type": "regular",
        "created_by": {
            "id": "TUTWEBK00341",
            "name": "xxxxxxx"
        },
        "createdAt": "2025-08-13T10:14:31.745Z",
        "start_time": "2025-08-13T10:14:31.906Z",
        "domain_info": {
            "success": true,
            "process_time": 21,
            "data": {
                "domain": "xxxxxxx.com",
                "creation_date": "2022-01-04T13:44:29Z",
                "domain_age": "3 years 7 months 7 days",
                "expiration_date": "2027-01-04T13:44:29Z",
                "is_valid": true,
                "registrar": "http://www.yyyyyyyyy.com/domains/search.aspx?ci=8990",
                "success": true,
                "data_from": "API"
            }
        },
        "ip_address": {
            "success": true,
            "process_time": 4,
            "data": {
                "address": "0.110.00.00",
                "family": 4
            }
        },
        "working_condition": {
            "success": true,
            "process_time": 30,
            "data": {
                "working_condition": true,
                "reason": "The Website exist with code 200 and accessible for users ",
                "redirected": {
                    "isredirected": false,
                    "redirectedUrl": "",
                    "reason": ""
                },
                "parked_website": {
                    "isparked": false,
                    "reason": "",
                    "code": ""
                }
            }
        }.........etc.
```

**Failure response**

```json
{
    "success": false,
    "code": 300,
    "message": "Please provide case id",
    "data": {}
}
```

**Record not found**&#x20;

```json
{
    "success": true,
    "code": 200,
    "message": "Results are",
    "data": {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/web-crawling/crawled-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
